async function main() {
  const results = await Bun.build({
    entrypoints: [ "./frontend/index.js" ],
    outdir: "./static/js/",
    verbose: true
  });


  if (!results.success) {
    for (const message of results.logs) {
      console.error(message);
    }

    return false;
  }

  return true;
}


main()
  .then(() => {
    process.exit(0)
  })
  .catch((e) => {
    console.error(e);
    process.exit(1);
  });
